export const mentions: {
    '123456ab-12ab-12ab-12ab-123456789abc': {
        created_at: string;
        updated_at: string;
        id: string;
        data: {
            jobTitle: string;
            name: string;
            organization: string;
        };
    };
    '12abcdef-12cd-12cd-12cd-123456abcdef': {
        created_at: string;
        updated_at: string;
        id: string;
        data: {
            jobTitle: string;
            name: string;
            organization: string;
        };
    };
    '99abcdef-99cd-99cd-99cd-123456abcdef': {
        created_at: string;
        updated_at: string;
        id: string;
        error: string;
        data: {
            jobTitle: string;
            name: string;
            organization: string;
        };
    };
};
export namespace authors {
    namespace me {
        let id: string;
        let name: string;
        namespace image {
            let thumbnail: string;
        }
        let jobTitle: string;
        namespace location {
            let en: string;
        }
    }
    namespace otherUser {
        let id_1: string;
        export { id_1 as id };
        let name_1: string;
        export { name_1 as name };
    }
}
export namespace reply {
    export namespace me_1 {
        export let slug: string;
        import authorId = id;
        export { authorId };
        export let body: string;
        export let likes: number;
        export let isEdited: boolean;
        export let contentType: string;
        export let createdAt: string;
        export let updatedAt: string;
        import author = authors.me;
        export { author };
        export let userLiked: boolean;
        export { mentions };
    }
    export { me_1 as me };
    export namespace otherUser_1 {
        let slug_1: string;
        export { slug_1 as slug };
        import authorId_1 = id;
        export { authorId_1 as authorId };
        let body_1: string;
        export { body_1 as body };
        let likes_1: number;
        export { likes_1 as likes };
        let isEdited_1: boolean;
        export { isEdited_1 as isEdited };
        let contentType_1: string;
        export { contentType_1 as contentType };
        let createdAt_1: string;
        export { createdAt_1 as createdAt };
        let updatedAt_1: string;
        export { updatedAt_1 as updatedAt };
        import author_1 = authors.otherUser;
        export { author_1 as author };
        let userLiked_1: boolean;
        export { userLiked_1 as userLiked };
    }
    export { otherUser_1 as otherUser };
}
export namespace answer {
    export namespace me_2 {
        let id_2: string;
        export { id_2 as id };
        let slug_2: string;
        export { slug_2 as slug };
        let body_2: string;
        export { body_2 as body };
        import author_2 = authors.me;
        export { author_2 as author };
        import authorId_2 = id;
        export { authorId_2 as authorId };
        let userLiked_2: boolean;
        export { userLiked_2 as userLiked };
        let likes_2: number;
        export { likes_2 as likes };
        export let replies: {
            slug: string;
            authorId: string;
            body: string;
            likes: number;
            isEdited: boolean;
            contentType: string;
            createdAt: string;
            updatedAt: string;
            author: {
                id: string;
                name: string;
            };
            userLiked: boolean;
        }[];
        let createdAt_2: string;
        export { createdAt_2 as createdAt };
        let updatedAt_2: string;
        export { updatedAt_2 as updatedAt };
        export { mentions };
    }
    export { me_2 as me };
    export namespace otherUser_2 {
        let id_3: string;
        export { id_3 as id };
        let slug_3: string;
        export { slug_3 as slug };
        let body_3: string;
        export { body_3 as body };
        import author_3 = authors.otherUser;
        export { author_3 as author };
        import authorId_3 = id;
        export { authorId_3 as authorId };
        let userLiked_3: boolean;
        export { userLiked_3 as userLiked };
        let likes_3: number;
        export { likes_3 as likes };
        let replies_1: {
            slug: string;
            authorId: string;
            body: string;
            likes: number;
            isEdited: boolean;
            contentType: string;
            createdAt: string;
            updatedAt: string;
            author: {
                id: string;
                name: string;
            };
            userLiked: boolean;
        }[];
        export { replies_1 as replies };
        let createdAt_3: string;
        export { createdAt_3 as createdAt };
        let updatedAt_3: string;
        export { updatedAt_3 as updatedAt };
    }
    export { otherUser_2 as otherUser };
    export namespace otherUserLiked {
        let id_4: string;
        export { id_4 as id };
        let slug_4: string;
        export { slug_4 as slug };
        let body_4: string;
        export { body_4 as body };
        import author_4 = authors.otherUser;
        export { author_4 as author };
        import authorId_4 = id;
        export { authorId_4 as authorId };
        let userLiked_4: boolean;
        export { userLiked_4 as userLiked };
        let likes_4: number;
        export { likes_4 as likes };
        let replies_2: {
            slug: string;
            authorId: string;
            body: string;
            likes: number;
            isEdited: boolean;
            contentType: string;
            createdAt: string;
            updatedAt: string;
            author: {
                id: string;
                name: string;
            };
            userLiked: boolean;
        }[];
        export { replies_2 as replies };
        let createdAt_4: string;
        export { createdAt_4 as createdAt };
        let updatedAt_4: string;
        export { updatedAt_4 as updatedAt };
    }
}
export namespace question {
    let body_5: string;
    export { body_5 as body };
    let slug_5: string;
    export { slug_5 as slug };
    export let comments: number;
    import authorId_5 = id;
    export { authorId_5 as authorId };
    import author_5 = authors.me;
    export { author_5 as author };
    let createdAt_5: string;
    export { createdAt_5 as createdAt };
}
export const postCategories: {
    name: string;
    slug: string;
}[];
